summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/di/README4
-rw-r--r--system/di/di.SlackBuild74
-rw-r--r--system/di/di.info10
-rw-r--r--system/di/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/system/di/README b/system/di/README
new file mode 100644
index 0000000000..e651b030c5
--- /dev/null
+++ b/system/di/README
@@ -0,0 +1,4 @@
+di (disk information) displays everything that df does and more.
+
+di features the ability to display your disk usage in whatever format
+you desire/prefer/are used to.
diff --git a/system/di/di.SlackBuild b/system/di/di.SlackBuild
new file mode 100644
index 0000000000..d37c518a3c
--- /dev/null
+++ b/system/di/di.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+#
+# Didier Charles 2010.07.06
+# dcharles@alumni.concordia.ca
+# written with the grateful assistance of the tutorial
+# "Writing A SlackBuild Script" at :
+# http://www.slackwiki.org/Writing_A_SlackBuild_Script
+# and with the guidance of the templates at:
+# http://slackbuilds.org/templates/
+
+
+PRGNAM=di
+VERSION=4.25
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make \
+ CFLAGS="$SLKCFLAGS" \
+ prefix=/usr
+
+make install \
+ prefix=$PKG/usr \
+ DI_MANINSTDIR=$PKG/usr/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE MANIFEST README $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/di/di.info b/system/di/di.info
new file mode 100644
index 0000000000..ed683bb092
--- /dev/null
+++ b/system/di/di.info
@@ -0,0 +1,10 @@
+PRGNAM="di"
+VERSION="4.24"
+HOMEPAGE="http://www.gentoo.com/di/"
+DOWNLOAD="http://www.gentoo.com/di/di-4.25.tar.gz"
+MD5SUM="765ef603afe1d95f52f7a5f64e85eced"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Didier Charles"
+EMAIL="dcharles@alumni.concordia.ca"
+APPROVED="rworkman"
diff --git a/system/di/slack-desc b/system/di/slack-desc
new file mode 100644
index 0000000000..c70a5acb4a
--- /dev/null
+++ b/system/di/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+di: di (disk information)
+di:
+di: di displays everything that df does and more.
+di:
+di: It features the ability to display your disk usage
+di: in whatever format you desire/prefer/are used to.
+di:
+di: Homepage: http://www.gentoo.com/di/
+di:
+di:
+di: